Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
actions
/
records
/
{id}
/
events
Get events for an action record
curl --request GET \
  --url https://api.arklow.io/v1/orgs/{org_id}/actions/records/{id}/events \
  --header 'x-arklow-auth: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "action_record_id": "<string>",
      "org_id": "<string>",
      "kind": "<string>",
      "status": "<string>",
      "attempt": 123,
      "available_at": "2023-11-07T05:31:56Z",
      "timeout_at": "2023-11-07T05:31:56Z",
      "message": "<string>",
      "data": "<unknown>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$
id
string
required
Pattern: ^[0-9]+$

Response

200 - application/json

Default Response

data
object[] | null
required
errors
object[] | null
required